---
title: "Export people data"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/people.export
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Export people data

Export people matching a filter as rows (audited).

Export people matching a filter as rows (audited).

## Overview

| Name | Value |
| --- | --- |
| Code | `people.export` |
| Scope needed | `crm.export` |
| Risk | Dangerous |
| May need confirmation | Yes |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | People → Export |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `filter` | `object` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/people.export \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"filter":"…"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `csv` | `text` | Yes |
| `count` | `number` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "csv": "text",
    "count": 1
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "people.export"`. Tool name when listed: `people_export`.
